function [diag_handle]=showCascade2(fig_handle,maxrow,maxcol,Xpnummt,Xpdnummt,...
   Xmnummt,qnummt,qfnummt)
% This function will show diagram of cascade system  
% with inner loop PID controler and user interface on the figer.

diag_handle=zeros(1,32);
diag_handle(1)=uicontrol(fig_handle,...
 'Style','text',...
 'Position',[200 220 600 22],...
 'Backgroundcolor','k',...
 'Foregroundcolor',[.78 .78 .78],...
 'FontSize',14,...
 'HorizontalAlignment','Left',...
 'String','IMC cascade with PID inner loop');
diag_handle(2)=uicontrol(fig_handle,...
 'Style','text',...
 'Position',[627 358 50 24],...
 'Backgroundcolor','k',...
 'Foregroundcolor',[.78 .78 .78],...
 'FontSize',14,...
 'HorizontalAlignment','Left',...
 'String','>  y1');
diag_handle(3)=uicontrol(fig_handle,...
  'Style','frame',...
  'Position',[30 367 600 5]);
diag_handle(4)=uicontrol(fig_handle,...
 'Style','text',...
 'Position',[423 377 30 18],...
 'Backgroundcolor','k',...
 'Foregroundcolor',[.78 .78 .78],...
 'FontSize',14,...
 'HorizontalAlignment','Left',...
 'String','v +');
diag_handle(5)=uicontrol(fig_handle,...
 'Style','text',...
 'Position',[423 420 30 20],...
 'Backgroundcolor','k',...
 'Foregroundcolor',[.78 .78 .78],...
 'FontSize',14,...
 'HorizontalAlignment','Left',...
 'String','d2');
diag_handle(6)=uicontrol(fig_handle,...
  'Style','frame',...
  'Position',[425 384 5 35]);
diag_handle(7)=uicontrol(fig_handle,...
  'Style','frame',...
  'Position',[420 362 15 15]);
diag_handle(8)=uicontrol(fig_handle,...
 'Style','text',...
 'Position',[585 304 18 18],...
 'Backgroundcolor','k',...
 'Foregroundcolor',[.78 .78 .78],...
 'FontSize',14,...
 'HorizontalAlignment','Left',...
 'String','>');
diag_handle(9)=uicontrol(fig_handle,...
 'Style','text',...
 'Position',[584 317 18 18],...
 'Backgroundcolor','k',...
 'Foregroundcolor',[.78 .78 .78],...
 'FontSize',14,...
 'HorizontalAlignment','Left',...
 'String','-');
diag_handle(10)=uicontrol(fig_handle,...
 'Style','text',...
 'Position',[63 349 40 18],...
 'Backgroundcolor','k',...
 'Foregroundcolor',[.78 .78 .78],...
 'FontSize',14,...
 'HorizontalAlignment','Left',...
 'String','/\ -');
diag_handle(11)=uicontrol(fig_handle,...
 'Style','text',...
 'Position',[193 349 40 18],...
 'Backgroundcolor','k',...
 'Foregroundcolor',[.78 .78 .78],...
 'FontSize',14,...
 'HorizontalAlignment','Left',...
 'String','/\ -');
diag_handle(12)=uicontrol(fig_handle,...
 'Style','text',...
 'Position',[30 360 20 24],...
 'Backgroundcolor','k',...
 'Foregroundcolor',[.78 .78 .78],...
 'FontSize',14,...
 'HorizontalAlignment','Left',...
 'String','r');
diag_handle(13)=uicontrol(fig_handle,...
  'Style','push',...
  'Position',[100 355 60 30],...
  'String','qr/(qqd)',...
  'Callback',['view_pid(1)']);
diag_handle(14)=uicontrol(fig_handle,...
  'Style','push',...
  'Position',[497 355 70 30],...
  'String','Process(1)',...
  'Callback',['']);
diag_handle(15)=uicontrol(fig_handle,...
  'Style','frame',...
  'Position',[479 307 109 5]);
diag_handle(16)=uicontrol(fig_handle,...
  'Style','push',...
  'Position',[497 295 70 30],...
  'String','Model(1)',...
  'Callback',['']);
diag_handle(17)=uicontrol(fig_handle,...
  'Style','push',...
  'Position',[342 355 70 30],...
  'String','Process(2)',...
  'Callback',['']);
diag_handle(18)=uicontrol(fig_handle,...
  'Style','frame',...
  'Position',[479 307 5 61]);
diag_handle(19)=uicontrol(fig_handle,...
  'Style','frame',...
  'Position',[600 256 5 112]);
diag_handle(20)=uicontrol(fig_handle,...
  'Style','frame',...
  'Position',[445 307 5 61]);
diag_handle(21)=uicontrol(fig_handle,...
  'Style','frame',...
  'Position',[595 302 15 15]);
diag_handle(22)=uicontrol(fig_handle,...
  'Style','frame',...
  'Position',[65 256 536 5]);
diag_handle(23)=uicontrol(fig_handle,...
  'Style','frame',...
  'Position',[65 260 5 92]);
diag_handle(24)=uicontrol(fig_handle,...
  'Style','frame',...
  'Position',[195 307 5 45]);
diag_handle(25)=uicontrol(fig_handle,...
  'Style','frame',...
  'Position',[195 307 251 5]);
diag_handle(26)=uicontrol(fig_handle,...
  'Style','frame',...
  'Position',[60 362 15 15]);
diag_handle(27)=uicontrol(fig_handle,...
  'Style','frame',...
  'Position',[190 362 15 15]);
diag_handle(28)=uicontrol(fig_handle,...
  'Style','push',...
  'Position',[218 355 70 30],...
  'String','PID2',...
  'Callback',['view_pid']);
diag_handle(29)=uicontrol(fig_handle,...
  'Style','push',...
  'Position',[303 357 25 25],...
  'String','Sat',...
  'Callback','IMENU=2600;imcmenu;');
diag_handle(30)=uicontrol(fig_handle,...
 'Style','text',...
 'Position',[455 343 20 24],...
 'Backgroundcolor','k',...
 'Foregroundcolor',[.78 .78 .78],...
 'FontSize',14,...
 'HorizontalAlignment','Left',...
 'String','y2');
diag_handle(31)=uicontrol(fig_handle,...
  'Style','push',...
  'Position',[440 85 190 30],...
  'String','Show IMC cascade',...
  'Callback',['delete(diag_handle);',...
     'diag_handle=showCascade(main_fig,maxrow,maxcol,Xpnummt,Xpdnummt,Xmnummt,qnummt,qfnummt);']);
diag_handle(32)=uicontrol(fig_handle,...
  'Style','push',...
  'Position',[440 50 190 30],...
  'Visible','on',...
  'String','Show classical PID cascade',...
  'Callback',['delete(diag_handle);',...
     'diag_handle=showCascade3(main_fig,maxrow,maxcol,Xpnummt,Xpdnummt,Xmnummt,qnummt,qfnummt);']);

