%View control system setting
tmp=(100+3*maxrow*25);
[f]=crfig(20,20,600,tmp,'Multi variable MSF controller','w','none','off');
uicontrol(f,...
  'Style','text',...
  'Position',[20 tmp-30 100 20],...
  'Backgroundcolor','w',...
  'Foregroundcolor','k',...
  'HorizontalAlignment','Left',...
  'String','Input Delay time :');
uicontrol(f,...
  'Style','edit',...
  'Position',[110 tmp-30 160 20],...
  'Backgroundcolor','w',...
  'Foregroundcolor','k',...
  'String',['[ ' num2str(input_delay) ' ]']);
uicontrol(f,...
  'Style','text',...
  'Position',[285 tmp-30 150 20],...
  'Backgroundcolor','w',...
  'Foregroundcolor','k',...
  'HorizontalAlignment','Left',...
  'String','Decoupling Delay Matrix :');
uicontrol(f,...
  'Style','edit',...
  'Position',[415 tmp-30 160 20],...
  'Backgroundcolor','w',...
  'Foregroundcolor','k',...
  'String',[ '[ ' num2str(dec_M) ' ]']);

tmp(2)=tmp(1)-60;
uicontrol(f,...
  'Style','text',...
  'Position',[40 tmp(2) 50 20],...
  'Backgroundcolor','w',...
  'Foregroundcolor','k',...
  'HorizontalAlignment','Left',...
  'String',' Ksp : ');
tmp(3)=tmp(2)-22*maxrow-10;
uicontrol(f,...
  'Style','text',...
  'Position',[40 tmp(3) 50 20],...
  'Backgroundcolor','w',...
  'Foregroundcolor','k',...
  'HorizontalAlignment','Left',...
  'String',' K(s) : ');
tmp(4)=tmp(3)-22*maxrow-40;
 uicontrol(f,...
  'Style','text',...
  'Position',[40 tmp(4) 70 50],...
  'Backgroundcolor','w',...
  'Foregroundcolor','k',...
  'HorizontalAlignment','Left',...
  'String','I/D(s) :');
tmp(4)=tmp(4)+30;
tmp(5)=480/maxcol;
for i=1:maxrow
   for j=1:maxcol
      uicontrol(f,...
         'Style','edit',...
         'Position',[100+(j-1)*tmp(5) tmp(2)-22*(i-1) tmp(5)-2 20],...
         'Backgroundcolor','w',...
         'Foregroundcolor','k',...
         'String',Kspstr{i,j});
      uicontrol(f,...
         'Style','edit',...
         'Position',[100+(j-1)*tmp(5) tmp(3)-22*(i-1) tmp(5)-2 20],...
         'Backgroundcolor','w',...
         'Foregroundcolor','k',...
         'String',Kstr{i,j});
      uicontrol(f,...
         'Style','edit',...
         'Position',[100+(j-1)*tmp(5) tmp(4)-22*(i-1) tmp(5)-2 20],...
         'Backgroundcolor','w',...
         'Foregroundcolor','k',...
         'String',Dstr{i,j});
   end
end
uicontrol(f,...
  'Style','push',...
  'Position',[260 20 80 25],...
  'String','OK',...
  'Callback','close');
clear tmp

