function view_pid(varargin)
global pid_text pid_text1 pid_text2
if length(varargin) > 0
   if varargin{1} == 1
      if isempty(pid_text1)
         errordlg('Compute PID controller or simulate the PID system first!');
         return
      end
      temp='Outter loop IMC controller, qr(s)/qqd(s)';
      temp1=pid_text1;
   elseif varargin{1} == 2
      if isempty(pid_text2)
         errordlg('Compute PID controller or simulate the PID system first!');
         return
      end
      temp='Outter loop PID controller';
      temp1=pid_text2;
   end
else
   if isempty(pid_text)
      errordlg('Compute PID controller or simulate the PID system first!');
      return
   end
   temp='PID Controller';
   temp1=pid_text;
end

[f]=crfig(20,20,600,375,temp,'w','none','off');
NMENU(1)=uicontrol(f,...
 'Style','frame',...
 'Position',[20 55 560 310],...
 'Backgroundcolor','w',...
 'Foregroundcolor','k');
NMENU(2)=uicontrol(f,...
 'Style','edit',...
 'String',temp1,...
 'Position',[30 65 540 290],...
 'Backgroundcolor','w',...
 'Foregroundcolor','k',...
 'Max',2);
NMENU(3)=uicontrol(f,...
 'Style','push',...
 'Position',[150 20 80 25],...
 'String','OK',...
 'Callback','close');
NMENU(4)=uicontrol(f,...
 'Style','push',...
 'Position',[370 20 80 25],...
 'String','Help',...
 'Callback','sayhelp(5200)');
