
CompNext = 1; i=1;plant=[];
decade=log10(get(gca,'XLim'));
npoints=(decade(2)-decade(1))*numpdec + 1;
freq=logspace(decade(1),decade(2),npoints);
npoints=length(freq);

% ----- COMPUTATION OF CLOSED-LOOP BODE DIAGRAM FOR A PLANT -----

%fprintf('             Iteration        Magnitude         Frequency \n');
%fprintf('             ---------        ---------         --------- \n');

while (CompNext == 1)
	
   if degree_freedom==1
      qd={'1'};
	   plant(i)=feval(fun,x,y,Epsilon{1,1},1,freq(i),0,0,p{1,1},m{1,1},q{1,1},qf{1,1},qd{1,1},pd{1,1});
	else
      [mq]=mq_gen(Xmnummt{1,1},Xmdenmt{1,1},Xmdeadmt{1,1},qfnummt{1},qfdenmt{1},F_order{1},y);
	 	[qd{1,1},qdnum{1,1},qdden{1,1}]=qd_mat(Tcanc(2,:),mq,Epsilon{1,1}(2),100000,y);
       if strcmp(fun,'usercas')
          plant(i)=feval(fun,x,y,Epsilon{1,1},1,freq(i),0,0,process,model,q{1,1},qf{1,1},qd{1,1},pd{1,1});
       else
          plant(i)=feval(fun,x,y,Epsilon{1,1},1,freq(i),0,0,p{1,1},m{1,1},q{1,1},qf{1,1},qd{1,1},pd{1,1});
       end
	end
	fprintf('               %3.0f              %.4f           %g\n',i,plant(i),freq(i));
	if (i <= (npoints-1) )
	   i=i+1;
	   CompNext = 1;
	else
	   CompNext = 0;
	end
end
hold on
temp=loglog(freq,plant);
set(temp,'color',clmap(clflag,:));
clflag=clflag+1;
